Skip to main content
DELETE
https://checkout.dintero.com/v1
/
admin
/
api-keys
/
{api_key_id}
admin_parameters_api_key_delete
curl --request DELETE \
  --url https://checkout.dintero.com/v1/admin/api-keys/{api_key_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("x-api-key", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.delete("https://checkout.dintero.com/v1/admin/api-keys/{api_key_id}")
  .header("x-api-key", "<api-key>")
  .asString();
{
  "name": "<string>",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "deleted_by": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

api_key_id
string
required

Response

api-key

name
string
required
id
string

An ID that uniquely identifies the resource

created_at
string<date-time>

The date-time when the resource was created

updated_at
string<date-time>
expires_at
string<date-time>
deleted_by
string
deleted_at
string<date-time>
Last modified on July 9, 2026